package com.yonge.cooleshow.biz.dal.dto.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.yonge.cooleshow.biz.dal.convert.PostStatusConvert;
import com.yonge.cooleshow.common.enums.PostStatusEnum;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author: liweifan
 * @Data: 2022/4/15 17:32
 */
public class UserAccountRecordExport {
    @ExcelProperty(value = "关联订单", index = 0)
    private String orderNo;
    @ExcelProperty(value = "老师编号", index = 1)
    private Long accountId;
    @ExcelProperty(value = "老师姓名", index = 2)
    private String accountName;
    @ExcelProperty(value = "金额", index = 3)
    private BigDecimal transAmount;
    @ExcelProperty(value = "产品编号", index = 4)
    private Long bizId;
    @ExcelProperty(value = "入账状态", index = 5, converter = PostStatusConvert.class)
    private PostStatusEnum postStatus;
    @ExcelProperty(value = "更新时间", index = 6)
    private Date updateTime;

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Long getAccountId() {
        return accountId;
    }

    public void setAccountId(Long accountId) {
        this.accountId = accountId;
    }

    public String getAccountName() {
        return accountName;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    public BigDecimal getTransAmount() {
        return transAmount;
    }

    public void setTransAmount(BigDecimal transAmount) {
        this.transAmount = transAmount;
    }

    public Long getBizId() {
        return bizId;
    }

    public void setBizId(Long bizId) {
        this.bizId = bizId;
    }

    public PostStatusEnum getPostStatus() {
        return postStatus;
    }

    public void setPostStatus(PostStatusEnum postStatus) {
        this.postStatus = postStatus;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
